@import url("chat.css");

.loading .dot {
   width: .5rem;
   height: .5rem;
   border-radius: .5rem;
   display: inline-block;
   background-color: #919292;
}

.loading .dot:nth-last-child(1) {
   margin-left: .3rem;
   -webkit-animation: loading .6s .3s linear infinite;
   animation: loading .6s .3s linear infinite;
}

.loading .dot:nth-last-child(2) {
   margin-left: .3rem;
   -webkit-animation: loading .6s .2s linear infinite;
   animation: loading .6s .2s linear infinite;
}

.loading .dot:nth-last-child(3) {
   -webkit-animation: loading .6s .1s linear infinite;
   animation: loading .6s .1s linear infinite;
}

@-webkit-keyframes loading {
   0% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
      background-color: #ababab;
   }

   25% {
      -webkit-transform: translate(0, -3px);
      transform: translate(0, -3px);
   }

   50% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
      background-color: #ababab;
   }

   75% {
      -webkit-transform: translate(0, 3px);
      transform: translate(0, 3px);
   }

   100% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
   }
}

@keyframes loading {
   0% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
      background-color: #ababab;
   }

   25% {
      -webkit-transform: translate(0, -3px);
      transform: translate(0, -3px);
   }

   50% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
      background-color: #ababab;
   }

   75% {
      -webkit-transform: translate(0, 3px);
      transform: translate(0, 3px);
   }

   100% {
      -webkit-transform: translate(0, 0);
      transform: translate(0, 0);
   }
}
.align-center {
	text-align: center;
}

#chat-window:not(.stych) .msg_container .btn-cta:hover,
#chat-window:not(.stych) .btn-cta:focus {
    color: white;
    background-color: #ffbc1a;
    box-shadow: 10px 3px 10px 2px rgba(0, 0, 0, 0.3);
    -webkit-transform: translate(-2px, 5px);
    transform: translate(-2px, 5px);
    cursor: pointer;
    text-decoration: none;
}

#chat-window:not(.stych) .msg_container .btn-cta {
    display: inline-flex;
    background-color: #ffb400;
    text-decoration: none;
    color: white;
    padding: 10px 15px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    width: 100%;
    margin: 10px 0;
    align-items: center;
    justify-content: center;
}

.chat_btn {
	width: 60px;
	height: 60px;
	border-radius: 50%;
	position: fixed;
	bottom: 20px;
	right: 20px;
	z-index: 1010;
	transition-duration: 0.5s;

	outline: 0 !important;
	border-width: 0px;
}

.chat_btn:hover {
    box-shadow: 10px 3px 10px 2px rgba(0, 0, 0, 0.3);
    -webkit-transform: translate(-2px, 5px);
    transform: translate(-2px, 5px);
    cursor: pointer;
}

#chat-window {
	position: fixed;
	bottom: calc(40px + 75px);
	height: calc(100% - 20px - 75px - 20px);
	right: 20px;
	width: 370px;
	min-height: 250px;
	max-height: 590px;
	z-index: 1010;
}

#chat-window:after {
   -webkit-animation: fa-spin 2s infinite linear;
   animation: fa-spin 2s infinite linear;
   content: "\f1ce";
   font-family: "Font Awesome 5 Free", "FontAwesome";
   position: absolute;
   top: calc(50% - 20px);
   left: calc(50% - 20px);
   z-index: -1;
   font-weight: 900;
   color: rgba(47, 58, 79, 0.31);
}


.window_header .window_close {
	height: 100%;
	cursor: pointer;
	border: none;
	background-color: white;
	display: flex;
	align-items: center;
	text-align: center;
   padding: 8px 5px 8px 20px;
}

.window_header {
   height: 10%;
   background-color: white;
   display: flex;
   justify-content: space-between;
   text-align: center;
   align-items: center;
   border-top-left-radius: 0px;
   border-top-right-radius: 0px;
}

.tab_page_white .window_header .window_close{
   flex: 1;
   text-align: right;
   display: flex;
   align-items: center;
   place-content: flex-end;
}

#chat-window .window_header .panel-title{
   overflow: hidden;
   white-space: nowrap;
   text-overflow: ellipsis;
}

.tab_page_white .window_header .panel-title {
   text-align: center;
   flex: 4;
}

.tab_page_white .window_header a.btn_messagerie{
   margin-right: 10px;
}

.tab_faq .window_header a.btn_messagerie .fa-envelope{
   font-size:20px;
   padding: 8px 20px 8px 5px;
}

.tab_page_blue .window_header,
.tab_faq .window_header{
   height: 40px;
}

.tab_page_blue .panel-body a,
.tab_faq .panel-body a{
   color: #3366FF;
   text-decoration: underline;
}
.tab_page_blue .panel-body a:hover,
.tab_faq .panel-body a:hover{
   color: #3366FF;
   text-decoration: underline;
}

.tab_page_white .window_header{
   box-shadow: 0px 10px 10px -10px #CCCCCC;
   position: relative;
   z-index: 1;
}

.page_white_body {
	height: 80%;
	background-color: white!important;
	overflow-y: auto;
}
.tab_page_white .list-group-item {
   border-radius: 0;
   border-top: 0;
   border-left: 0;
   border-right: 0;
}

.page_white_footer {
	height: 10%;
	background-color: white;
	padding: 6px 15px;
	border: none;
}

.page_white_body:last-child{
   height: 90%;
}

.btn_message_repondre {
	width: 48%;
	color: black;
	background-color: white;
	border-radius: 25px;
	border: 2px solid #ccc;
   padding: 10px 0;
	margin: 0px 1%;
}

.panel.panel-default .panel-body.faq_body,
.panel.panel-default .panel-body.page_blue_body {
	 height: calc(100% - 40px);
	background-image: -o-radial-gradient(29% 90%, circle, #7a88b1, #2f3a4f 500px);
	background-image: radial-gradient(circle at 29% 90%, #7a88b1, #2f3a4f 500px);
	/*background-attachment: fixed;*/
	background-position: center;
	background-repeat: no-repeat;
	/* background-size: cover; */
	/*background-color: #3E4A62;*/
	overflow: auto;
   border-radius: 0px;
	color: #FFFFFF;
}

.tchat_body {
	/* height: 80%; */
	background-color: white;
	overflow-y: auto;
}

.footer_content {
	border-radius: 40px;
	background-color: white;
	border: 1px solid #E9E9E9;
	padding: 2px 5px 2px 15px;
}

.tchat_footer {
	height: 10%;
	background-color: #F9F9F9;
	padding: 6px 15px;
	border: none;
}

.tchat_composer {
	display: flex;
	align-items: center;
   height: 100%;
   padding: 0px!important;
}

.tchat_composer textarea {
	resize: none;
	border: none;
	margin-bottom: 0px;
	height: 100%;
	outline-style: none;
	width: 98%;
	border-radius: 30px;
	padding-left: 10px;
	padding-right: 50px;
}

.tchat_composer textarea::placeholder {
   padding: 10px;
   color: #c9c9c9;
}
.tchat_composer textarea:focus::placeholder {
   color: transparent;
}

.page_blue_body > .base_receive > .msg_receive{
	border-radius: 0px 20px 20px 20px;
	background-color: #313A49;
}

.page_blue_body > .base_sent > .msg_sent{
	padding-bottom:20px !important;
	border-radius: 20px 20px 0px 20px;
	background-color: #ECECEC;
	color: black;
}

.page_blue_body > .base_receive > .contact_receive{
	border-radius: 0px 20px 20px 20px;
	background-color: white;
	color: #3E4A62;
}

.page_blue_body .card,
.page_blue_body .mini_calendar{
   background-color: #fff;
   border-radius: 20px;
   padding: 10px;
   height: 100%;
   color: #2F3A4F;
}

.page_blue_body .phone-schedule{
   justify-content: space-between;
   width: 150px;
   height: 140px;
   display: flex;
   flex-direction: column;
   font-size: 20px;
   font-weight: bold;
   text-align: center;
   align-items: center;
   margin-top: 20px;
}

.page_blue_body .phone-schedule .fa-phone-alt{
   background-color: #2F3A4F;
   color: #FFF;
   width: 44px;
   height: 44px;
   border-radius: 25px;
   line-height: 35px;
   border: 4px solid #FFFFFF;
   margin-top: -20px;
}
.page_blue_body .phone-schedule .btn_hour_rappel{
   background-color: white;
   border-color: white;
   outline: none;
   width: auto;
}
.page_blue_body .phone-schedule .btn_hour_rappel.checked{
   background-color: #edff00;
   border: 1px solid #edff00;
   background-position: 0 -15px;
}

.slick-slider.phone-schedule-wrapper,
.phone-schedule-wrapper{
   display: none;
}

.msg_container .modify_date,
.msg_container .modify_hour{
   margin-top: 3px;
}

.ico_rappel_bubble{
   background-color: #F8F4F7;
   border-radius: 25px;
   width: 40px;
   height: 40px;
   text-align: center;
   line-height: 42px;
   float: left;
   font-size: 22px;
}

.mini_calendar table{
   width: 100%;

}
.mini_calendar table th,
.mini_calendar table{
   text-align: center;
}

.mini_calendar table .calendar-month{
   text-align: left;
   caption-side: top;
}

.mini_calendar table caption{
   margin: 10px 10px 10px 5px;

}
.mini_calendar table td{
   height: 30px;
   width: 30px;
}
.mini_calendar table td,
.mini_calendar table th{
   color: #A7A9AF;
}

.mini_calendar table td.dispo{
   font-weight: bold;
   color: #3E4A62;
}

.mini_calendar table .today span{
   text-decoration: underline;
   text-underline-offset: 4px;
}

.mini_calendar table .selected span{
   display: inline-block;
   width: 26px;
   height: 26px;
   border-radius: 25px;
   background-color: #EDFF00;
   line-height: 26px;
   color: black;
}

/* Début : Flèches navigation mois calendrier */
.mini_calendar caption{
   position: relative;
}

.mini_calendar .arrow-prev, 
.mini_calendar .arrow-next{
   display: inline-block;
   position: absolute;
   top: 24%;
   height: 2em;
   width: 2em;
   font-family: "Font Awesome 5 Free", "FontAwesome";
   font-size: 10px;
   line-height: 1;
   font-weight: 900;
   color: white!important;
   cursor: pointer;
   -webkit-font-smoothing: antialiased;
   border: none;
   background: none;
   text-decoration: none!important;
}

.mini_calendar .arrow-prev{
   left: 27%;
}

.mini_calendar .arrow-next{
   right: 27%;
}

.mini_calendar .arrow-prev::before{
   content: "\f053";
   position: relative;
   top: 25%;
}

.mini_calendar .arrow-next::before{
   content: "\f054";
   position: relative;
   top: 25%;
}

@media screen and (max-width: 500px) {
   .mini_calendar .arrow-prev{
      left: 20%;
   }
   .mini_calendar .arrow-next{
      right: 20%;
   }
}
@media screen and (max-width: 335px) {
   .mini_calendar .arrow-prev{
      left: 10%;
   }
   .mini_calendar .arrow-next{
      right: 10%;
   }
}
@media screen and (max-width: 280px) {
   .mini_calendar .arrow-prev{
      left: 1%;
   }
   .mini_calendar .arrow-next{
      right: 1%;
   }
}
/* Fin : Flèches navigation mois calendrier */

.tchat_body > .base_receive > .msg_receive{
	border-radius: 0px 20px 20px 20px;
	background-color: #313A49;
}

.tchat_body > .base_sent > .msg_sent{
	padding-bottom: 10px !important;
	border-radius: 20px 20px 0px 20px;
	background-color: #ECECEC;
	color: black;
}

.faq_body > .base_receive > .msg_receive{
	border-radius: 0px 20px 20px 20px;
	background-color: #78859E;
	/*background-color: rgba(120, 133, 158, 0.6);*/
	background-color: rgb(176 188 205 / 30%);
	box-shadow: none;
}

.faq_body > .base_sent > .msg_sent{
	margin-right:0;
	border-radius: 20px 20px 0px 20px;
	background-color: white;
	color: #5F6167;
}

.btn_tchat_choice {
	width: 48%;
	color: white;
	background-color: rgba(176, 188, 205, 0.3);
	border-radius: 20px;
	transition: all 0.3s ease-in-out;
	margin: 0px 1%;
	text-align: center;
   text-decoration: none;
}
.panel-body a.btn_tchat_choice{
   text-decoration: none;
   flex: 1;
}

.btn_tchat_choice:hover {
   color: #FFFFFF;
   opacity: 0.75;

}

.input_objet_messagerie {
	width: 100%;
	/*border-radius: 20px;*/
	padding: 10px;
	margin-bottom: 5px;
	outline: none;
   border: 1px solid #CCCCCC;
}

.input_message_messagerie {
	width: 100%;
	/*border-radius: 20px 20px 0px 20px;*/
	/*padding: 10px;*/
	resize: none;
	outline: none;
   border: 1px solid #CCCCCC;
}

.zone_intro {
	color: white;
	align-self: stretch;
}

.intro_title {
	color: white;
	font-size: 20px;
	font-weight: bold;
}

.link_page_contact {
	cursor: pointer;
	color: white;
	text-decoration: underline;
}

.no-style {
	text-decoration: none!important;
}

.link_faq.disabled{
   background: none;
}
.link_faq:hover{
   opacity: 0.75;
}

.link_faq,
.restart_faq {
	cursor: pointer;
}

.message_objet_title {
   text-align: left;
	font-size: 20px;
}

.msg_container > .messages {
	color: white;
	padding: 10px;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
	max-width:100%;
}

.messages > p {
	font-size: 13px;
	margin: 0 0 0.2rem 0;
}

.fa-color {
  color: white;
}

.msg_container {
	padding: 5px;
	overflow: hidden;
	display: flex;
	flex-wrap: wrap;
}

.zone_send_messagerie {
	background-color: white;
	border-radius: 0px 0px 20px 20px;
	margin: 0px 1px 0px 1px;
}

#chat-window .btn_send {
	width: 40px;
	height: 40px;
	min-width: 40px;
	border-radius: 50px;
	background-color: #e74c3c;
	color: white;
	border: none;
	bottom: 7px;
	right: 23px;
}

.btn_send i{
   transform: rotate(20deg);
}

.btn_send i:before {
   font-family: "Font Awesome 5 Free", "FontAwesome";
   content: "\f1d8";
   font-size: 16px;
   font-weight: 900;
   top: calc(50% - 13px);
}

.btn_messagerie_send {
	overflow:auto;
}

.btn_messagerie,
.btn_faq
{
   color: #2F3A4F;
}

.outro_messagerie {
	color: black;
	margin:3px 0px 0px 0px;
}

i.circle-red,
.btn_submit_message_reponse i,
.btn_submit_contact_m i{
   margin: 0;
   border-radius: 60px;
   background-color: #D65745;
   color: white;
   padding: 0.5em 0.5em;
   float: right;
   cursor: pointer;
   position: relative;
   top: -22px;
   right: 10px;
   font-size: 20px;
   transform: rotate(20deg);
}

i.circle-red.fa-paper-plane:before {
   margin-left: -2px;
   margin-right: 2px;
}

i.circle-grey {
	display: inline-block;
	border-radius: 60px;
	background-color: #888;
	color: white;
	padding: 0.5em 0.6em;
	position: relative;
	left: -25px;
}

.circle-red-msg {
   border-radius: 60px;
   background-color: #D65745;
   font-size: 20px;
   color: white;
   padding: 0.5em 0.5em;
   align-self: center;
}

img.circle-red-msg {
   width: 40px;
   height: 40px;
}

img.circle-red-msg[src="/img/avatar/no_avatar_msf.png"] {
   padding: 3px 0 0 0;
}

.fabadge:after{
    content: '';
    position: absolute;
    background: red;
    width: 1.2rem;
    height: 1.2rem;
    top: 7px;
    left: 29px;
    border-radius: 50%;
    border: 1px solid red;
}

.btn_date_hour_rappel {
	background-color: #ccecfa;
	border: 2px solid white !important;
	/* width: 72px; */
	border-radius: 10px;
}

.no-padding {
	padding: 0px!important;
}

.date_messagerie {
	color: #ccc;
}

.author {
	font-size: 10px;
}

.link_info_message {
	color: #2f3a4f;
   display: block;
	min-width: 100%;
}
.link_info_message.disabled{
   padding: 10px;
   background: none;
   text-align: center;
}

.link_info_message.readed {
   color: #B3B4BC;
}

.link_info_message.readed .circle-red-msg{
   background-color: #B3B4BC;
}

.avatar {
	position: relative;
}

.avatar img {
	border-radius: 50%;
	max-width: initial;
}

.base_receive > .avatar:after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	width: 0;
	height: 0;
	border: 5px solid #FFF;
	border-left-color: rgba(0, 0, 0, 0);
	border-bottom-color: rgba(0, 0, 0, 0);
}


.base_sent {
	justify-content: flex-end;
	align-items: flex-end;
   padding-left: 20px!important;
}

.base_sent > .avatar:after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 0;
	height: 0;
	border: 5px solid white;
	border-right-color: transparent;
	border-top-color: transparent;
	box-shadow: 1px 1px 2px rgba(black, 0.2);
}

.msg_sent > time, .msg_sent > span.name {
	float: right;
}

/*#chat-window .panel-body::-webkit-scrollbar-track {*/
/*	box-shadow: initial;*/
/*   background: initial;*/
/*}*/

/*#chat-window .panel-body::-webkit-scrollbar {*/
/*	width: auto;*/
/*}*/

/*#chat-window .panel-body::-webkit-scrollbar-thumb {*/
/*	box-shadow: auto;*/
/*   border-radius: auto;*/
/*	background-color: auto;*/
/*}*/

.chat_badge {
	position: absolute;
	left: 0px;
	top: 0px;
}

.zone_satisfaction,
.zone_restart_faq {
	color: white;
   width: 100%;
}

.info_ccm {
	color: white;
	display: block;
	overflow: hidden;
	max-height: 350px;
	text-overflow: ellipsis;
}

.info_ccm.opened-full{
   max-height:  initial;
}
.info_ccm~.btn-info_ccm_more{
   display: block;
}
.info_ccm.opened-full~.btn-info_ccm_more{
    display: none;
}

.btn-info_ccm_more{
   margin-top: 10px;
}

.tchat_title {
	display: flex;
	align-items: center;
}

.tchat_title b{
   overflow: hidden;
   white-space: nowrap;
   text-overflow: ellipsis;
   max-width: 253px;
}

#chat-window .window_header .img-wrapper {
   display: block;
   height: 40px;
   width: 40px;
   margin: 10px;
}

#chat-window .window_header .img-responsive[src="/img/avatar/no_avatar_msf.png"] {
   padding-top: 5px;
   background: #e74c3c;
   border-radius: 30px;
   height: 40px;
   width: 40px;
}

@media only screen and (max-device-width: 667px), screen and (max-width: 450px) {
	#chat-window {
      position: fixed;
		top: 0; right: 0; bottom: 0; left: 0;
		max-height: 100%;
		z-index: 1010;
		width: 100%;
		height: 100%;
	}

   #chat-window.with-smart-banner {
		top: 65px;
	}

	.noscroll {
		position: fixed !important;
		height: 100% !important;
		width: 100% !important;
		overflow: hidden !important;
	}
}

/** satisfaction */

#chat-window .funkyradio div {
   clear: both;
   overflow: hidden;
   display: inline-block;
   margin-right: 10px;
}

#chat-window .funkyradio label {
   border-radius: 3px;
   border: 1px solid #D1D3D4;
   font-weight: normal;
}

#chat-window .funkyradio input[type="radio"]:empty,
#chat-window .funkyradio input[type="checkbox"]:empty {
   display: none;
}

#chat-window .funkyradio input[type="radio"]:empty ~ label,
#chat-window .funkyradio input[type="checkbox"]:empty ~ label {
   font-size: 25px;
   position: relative;
   text-indent: 45px;
   padding-right: 10px;
   margin-top: 10px;
   cursor: pointer;
   -webkit-user-select: none;
   -moz-user-select: none;
   -ms-user-select: none;
   user-select: none;
}

#chat-window .funkyradio input[type="radio"]:empty ~ label:before,
#chat-window .funkyradio input[type="checkbox"]:empty ~ label:before {
   font-size: 18px;
   line-height: 35px;
   position: absolute;
   display: block;
   top: 0;
   bottom: 0;
   left: 0;
   content: '';
   width: 35px;
   background: #D1D3D4;
   border-radius: 3px 0 0 3px;
}

#chat-window .funkyradio input[type="radio"]:hover:not(:checked) ~ label,
#chat-window .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label {
   color: #888;
}

#chat-window .funkyradio input[type="radio"]:hover:not(:checked) ~ label:before,
#chat-window .funkyradio input[type="checkbox"]:hover:not(:checked) ~ label:before {
   content: '\2714';
   text-indent: 10px;
   color: #C2C2C2;
}

#chat-window .funkyradio input[type="radio"]:checked ~ label,
#chat-window .funkyradio input[type="checkbox"]:checked ~ label {
   color: #777;
   text-align: left!important;
}

#chat-window .funkyradio input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio input[type="checkbox"]:checked ~ label:before {
   content: '\2714';
   color: #333;
   background-color: #ccc;
   text-indent: 10px;
}

#chat-window .funkyradio input[type="radio"]:focus ~ label:before,
#chat-window .funkyradio input[type="checkbox"]:focus ~ label:before {
   box-shadow: 0 0 0 3px #999;
}

#chat-window .funkyradio-default input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-default input[type="checkbox"]:checked ~ label:before {
   color: #333;
   background-color: #ccc;
}

#chat-window .funkyradio-primary input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-primary input[type="checkbox"]:checked ~ label:before {
   color: #fff;
   background-color: #337ab7;
}

#chat-window .funkyradio-success input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-success input[type="checkbox"]:checked ~ label:before {
   color: #fff;
   background-color: #5cb85c;
}

#chat-window .funkyradio-danger input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-danger input[type="checkbox"]:checked ~ label:before {
   color: #fff;
   background-color: #d9534f;
}

#chat-window .funkyradio-warning input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-warning input[type="checkbox"]:checked ~ label:before {
   color: #fff;
   background-color: #f0ad4e;
}

#chat-window .funkyradio-info input[type="radio"]:checked ~ label:before,
#chat-window .funkyradio-info input[type="checkbox"]:checked ~ label:before {
   color: #fff;
   background-color: #5bc0de;
}

#chat-window #sat-sub{
   color: #2F3A4F;
   background: #FFFFFF;
   width: 48%;
   border-radius: 25px;
   border: 2px solid #ccc;
   padding: 10px 0;
   margin: 0px 1%;
   font-weight: bold;
}
